Doomsday Engine - Bug #655

Artefact key's not checking that player actually has item
2009-04-01 11:56 - vermil

Status: Closed Start date: 2009-04-01
Priority: Normal % Done: 100%
Assignee: danij

Category:

Target version: 1.9.0-betab

Description

In Jheretic and JHeXen, in Betab.1, pressing the fly up buttom gives the player the wing's powerup.

History

#1 - 2009-04-19 21:03 - vermil

In Beta6.1, all the artefact key binds use an artefact regardless of wheter the player actually has it.

For instance, pressing the Moprh Ovum key bind will fire a Morph Ovum even if you have none.

Affects both Heretic and HeXen and is probably related to the fly up key bind giving the player Wings of Wrath mentioned in my first comment.
I've changed the Summary title to represent the real scale of this bug.

#2 - 2009-05-02 00:54 - danij
Fixed in svn for 1.9.0-beta6.2
